/* --------------------------------------------------------------------------------------------
    ## Author. Delfiini Noeul
    ## Date. 19.02.28
    ## Republish Date. 19.03.01
    ## Theme version. Noeul LS Theme - Sakura
-------------------------------------------------------------------------------------------- */

// --------------------------------------------------------------------------------------------
// ** 마우스 이벤트 방지
// --------------------------------------------------------------------------------------------
jQuery(document).bind('contextmenu',function(e){return false;});
jQuery(document).bind('selectstart',function(e){return false;});
jQuery(document).bind('dragstart',function(e){return false;});


var sakura = document.getElementById("sakura");


// --------------------------------------------------------------------------------------------
// ** 언어 설정
// --------------------------------------------------------------------------------------------
switch (lang){
case "ko": // lang의 값이 ko인 경우.
    var days = ["일요일","월요일","화요일","수요일","목요일","금요일","토요일"];
    var months=["1월","2월","3월","4월","5월","6월","7월","8월","9월","10월","11월","12월"];
break;
default: // lang값의 기본값(값이 선택되지 않았을때 사용됨)
    var days = ["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"];
    var months=["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"];
break;
}


// --------------------------------------------------------------------------------------------
// ** 시간 설정
// --------------------------------------------------------------------------------------------
function updateClock(){
    var currentTime = new Date();
    var currentYear = currentTime.getFullYear();
    var currentHours = currentTime.getHours();
    var currentMinutes = currentTime.getMinutes() < 10 ? '0' + currentTime.getMinutes() : currentTime.getMinutes();
    var currentSeconds = currentTime.getSeconds() < 10 ? '0' + currentTime.getSeconds() : currentTime.getSeconds();
    var currentDate = currentTime.getDate() < 10 ? '0' + currentTime.getDate() : currentTime.getDate();
    timeOfDay = ( currentHours < 12 ) ? 'am' : 'pm';

    if (Clock == '24h'){ // 24시간 형식일 경우
    timeOfDay = '';
    currentHours = ( currentHours < 10 ? '0' : '' ) + currentHours;
    currentTimeString = currentHours + ':' + currentMinutes;
        document.getElementById('hour').innerHTML = currentHours;
        document.getElementById('minute').innerHTML = currentMinutes;
        document.getElementById('ampm').innerHTML = timeOfDay;
     }
    if (Clock == '12h'){
    currentHours = ( currentHours > 12 ) ? currentHours - 12 : currentHours;
    currentHours = ( currentHours == 0 ) ? 12 : currentHours;
    currentHours = ( currentHours < 10 ) ? '0' + currentHours : currentHours;
    currentTimeString = currentHours + ':' + currentMinutes;
        document.getElementById('hour').innerHTML = currentHours;
        document.getElementById('minute').innerHTML = currentMinutes;
        document.getElementById('ampm').innerHTML = timeOfDay;
    }
    switch (lang){
        case 'ko': // lang의 값이 ko인 경우.
            document.getElementById('datetime').innerHTML = '<span id="year">'+currentYear+'년 </span><span id="month">'+months[currentTime.getMonth()]+' </span><span id="date">'+currentDate+'일</span><span id="weekday"> '+days[currentTime.getDay()]+'</span>';
            if (sYear == false){document.getElementById('year').className = 'hidden';}
            if (sMonth == false){document.getElementById('month').className = 'hidden';}
            if (sDay == false){document.getElementById('date').className = 'hidden';}
            if (sWeekDay == false){document.getElementById('weekday').className = 'hidden';}
        break;
        default: // lang값의 기본값(값이 선택되지 않았을때 사용됨)
            var ecurrentDate;
            ecurrentDate = currentDate + 'th';
            if (currentDate == '01'){ecurrentDate = currentDate + 'st';}
            if (currentDate == '21'){ecurrentDate = currentDate + 'st';}
            if (currentDate == '31'){ecurrentDate = currentDate + 'st';}
            if (currentDate == '02'){ecurrentDate = currentDate + 'nd';}
            if (currentDate == '22'){ecurrentDate = currentDate + 'nd';}
            if (currentDate == '03'){ecurrentDate = currentDate + 'rd';}
            if (currentDate == '23'){ecurrentDate = currentDate + 'rd';}
            document.getElementById('datetime').innerHTML = '<span id="weekday">'+days[currentTime.getDay()]+', </span><span id="date">'+ecurrentDate+' </span><span id="month">'+months[currentTime.getMonth()]+' </span><span id="year">'+currentYear+'</span>';
            if (sYear == false){document.getElementById('year').className = 'hidden';}
            if (sMonth == false){document.getElementById('month').className = 'hidden';}
            if (sDay == false){document.getElementById('date').className = 'hidden';}
            if (sWeekDay == false){document.getElementById('weekday').className = 'hidden';}
        break;
    }
}


// --------------------------------------------------------------------------------------------
// ** 이벤트 설정
// --------------------------------------------------------------------------------------------
function updateEvent(){
    switch (lang){
    case "ko": // lang의 값이 ko인 경우.
        var lText = KoEventLeftText;
        var rText = KoEventRightText;
    break;
    case "ko": // lang의 값이 en인 경우.
        var lText = EnEventLeftText;
        var rText = EnEventReftText;
    break;
    default: // lang값의 기본값(값이 선택되지 않았을때 사용됨)
        var lText = EnEventLeftText;
        var rText = EnEventReftText;
    break;
    }

    if (Event == true){
        var anniversary = new Date(eYear, eMonth-1, eDay-FirstdayCount+1);
        //d-day
        var today = new Date();
        var count = today.getTime() - anniversary.getTime();
        var d_day = document.getElementById("d_day");
            count = "'"+Math.ceil(count/(24*60*60*1000))+"'";
            //d_day.innerHTML = count
        document.getElementById("eventarea").innerHTML = '<div id="event">\n    <span>'+lText+'</span> <span class="interval">'+count+'</span> <span>'+rText+'</span>\n</div>';
    } else {
        jQuery("#eventarea").addClass("hidden")
    };
}



// --------------------------------------------------------------------------------------------
// ** 시간 갱신 주기
// --------------------------------------------------------------------------------------------
function update(){
    // 날짜 및 시간 (1초마다 갱신)
    updateClock();
    setInterval("updateClock();", 1000);

    // 이벤트 (1분마다 갱신됨)
    updateEvent();
    setInterval("updateEvent();", 60*1000);
}



/* ----------------------------------------------------------------------------------------
    ## jQuery Mode (문서를 모두 읽어 온 뒤, 아래 구문을 실행)
---------------------------------------------------------------------------------------- */
jQuery(document).ready(function (){

    jQuery(".interval").load(update());


    // --------------------------------------------------------------------------------------------
    // ** 정렬
    // --------------------------------------------------------------------------------------------
    if (timeAlign == 'left'){
        jQuery('.clock_info').addClass('left');
    } else if (timeAlign == 'center'){
        jQuery('.clock_info').addClass('center');
    } else {
        jQuery('.clock_info').addClass('right');
    }


    // --------------------------------------------------------------------------------------------
    // ** 시간영역 배경 설정
    // --------------------------------------------------------------------------------------------
    if (timeBG == true){
        jQuery('.clock_info').attr('style','background : '+timeBGColor+';');
    }


    // --------------------------------------------------------------------------------------------
    // ** 언어에 따른 텍스트 설정
    // --------------------------------------------------------------------------------------------
    switch (lang){
    case "ko":
        document.getElementById("copy").innerHTML = KoText;
        jQuery('body').addClass('ko');
    break;
    default:
        document.getElementById("copy").innerHTML = EnText;
        jQuery('body').addClass('en');
    break;
    }


    // --------------------------------------------------------------------------------------------
    // ** 사용자 폰트 사용 유무 지정
    // --------------------------------------------------------------------------------------------
    if (UserFont == true){
        document.getElementById("userFont").innerHTML = "@font-face {\n    font-family: 'customfonts';\nsrc: url('assets/fonts/userfont.ttf');\n}\nhtml, body, div, dl, dt, dd, ul, ol, li, h1, h2, h3, h4, h5, h6, pre, form, fieldset, input, p, blockquote, th, td, footer {\nfont: 100% 'customfonts';\n}\n";
    } else {
        document.getElementById("userFont").innerHTML = '\n/* NO! Custom User Font */\n';
    };


    // --------------------------------------------------------------------------------------------
    // ** 사용자 설정 - date위치, 글자색상, 글자크기 지정
    // --------------------------------------------------------------------------------------------
    var style = document.getElementById('customStyle');
        style.innerHTML = '\n.clock_info {\ntop: '+ClockInfoPosition+'px; color: '+TextColor+';\n}\n.clock_wrap {font-size: '+ClockFontSize+'px;}\n.date_wrap {margin-top: '+ClockGap+'px; font-size: '+DateFontSize+'px;}\n.event_info {margin-top: '+EventGap+'px; font-size: '+EventFontSize+'px;}\n#sakura {opacity: '+sakuratransparency+';}';


    // --------------------------------------------------------------------------------------------
    // ** 하단 텍스트 설정
    // --------------------------------------------------------------------------------------------
    switch (CopyrightFontTransform){
        case "up":
            var transform = "uppercase";
        break;
        case "low":
            var transform = "lowercase";
        break;
        default:
            var transform = "none";
        break;
    }
    document.getElementById("copyStyle").innerHTML = '#copyright {\nbottom: '+CopyrightPosition+'px; z-index: 100;\nfont-size: '+CopyrightFontSize+'px; color: '+TextColor+'; text-align: center; font-weight: '+CopyrightFontStyle+'; text-transform: '+transform+';\n    background: rgba(0,0,0,.3);\n}';
    document.getElementById("copyright").innerHTML = CopyrightText;

    if (CopyrightBG == true){
        jQuery('#copyright').attr('style','background: '+CopyrightBGColor+';');
    } else {
        jQuery('#copyright').attr('style','background: transparent;');
    }

});
// end Document Ready